Bug 102327 - Given a PutById or GetById with a proven structure, the DFG should be able to emit a PutByOffset or GetByOffset instead
Summary: Given a PutById or GetById with a proven structure, the DFG should be able to...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords:
Depends on: 102326 102445
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 21:28 PST by Filip Pizlo
Modified: 2012-11-17 00:38 PST (History)
8 users (show)

See Also:


Attachments
work in progress (16.82 KB, patch)
2012-11-15 23:38 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
still working on it (31.32 KB, patch)
2012-11-16 13:21 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
the patch (34.11 KB, patch)
2012-11-16 17:56 PST, Filip Pizlo
mhahnenberg: review+
webkit-ews: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2012-11-14 21:28:32 PST
This will be fun.
Comment 1 Filip Pizlo 2012-11-15 23:38:22 PST
Created attachment 174615 [details]
work in progress
Comment 2 Filip Pizlo 2012-11-16 13:21:25 PST
Created attachment 174749 [details]
still working on it
Comment 3 Filip Pizlo 2012-11-16 17:56:37 PST
Created attachment 174789 [details]
the patch
Comment 4 Early Warning System Bot 2012-11-16 18:08:35 PST
Comment on attachment 174789 [details]
the patch

Attachment 174789 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/14860469
Comment 5 Early Warning System Bot 2012-11-16 18:12:10 PST
Comment on attachment 174789 [details]
the patch

Attachment 174789 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/14860470
Comment 6 Mark Hahnenberg 2012-11-16 18:36:28 PST
Comment on attachment 174789 [details]
the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=174789&action=review

r=me with build fixes.

> Source/JavaScriptCore/dfg/DFGConstantFoldingPhase.cpp:169
> +                // Now before we do anything else, push the CFA forward over the PutById

Should this be "...over the GetById" instead?
Comment 7 EFL EWS Bot 2012-11-16 20:18:51 PST
Comment on attachment 174789 [details]
the patch

Attachment 174789 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/14880054
Comment 8 Filip Pizlo 2012-11-17 00:00:59 PST
(In reply to comment #6)
> (From update of attachment 174789 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=174789&action=review
> 
> r=me with build fixes.
> 
> > Source/JavaScriptCore/dfg/DFGConstantFoldingPhase.cpp:169
> > +                // Now before we do anything else, push the CFA forward over the PutById
> 
> Should this be "...over the GetById" instead?

Yup!  Thanks for catching it!
Comment 9 Filip Pizlo 2012-11-17 00:38:29 PST
Landed in http://trac.webkit.org/changeset/135041